This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826050 - [eap6] improve support for configurable network interfaces
[eap6] improve support for configurable network interfaces
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 824878 825169 825171 825264
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-29 09:26 EDT by Heiko W. Rupp
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 825169
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-29 09:26:12 EDT
+++ This bug was initially created as a clone of Bug #825169 +++

The current selection mechanism for address families is error prone, as the user can select two families at once. Using a options-list currently fails, as the
server needs the individual attributes set/unset.

This BZ is to remind to rework this behavior in conjunction with the ConfigurationWriteDelegate to display the user the radio-buttons




+++ This bug was initially created as a clone of Bug #824878 +++

Description of problem: JON should support configuring interfaces as well as adding and removing them


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8

How reproducible:always

  
Actual results: interface resources are read-only


Expected results:user can add/remove/configure interfaces


Additional info:AS7 Console supports managing interfaces too

--- Additional comment from ccrouch@redhat.com on 2012-05-29 09:02:14 EDT ---

From Heiko:

"Future Feature. Needs a lot more work in the configuration load/update code.
It is working now, but can be improved.
Basic issue is that for
<c:simple-property >
   <option any>
   <option anyv4>
   <option anyv6>
</c:simple-property>
As7 has 3 distinct properties and not one with 3 options. And not all combinations are always allowed"

Targeting this enhancment for JON3.1.1
Comment 1 Mike Foley 2012-05-29 10:41:16 EDT
per BZ Triage 5/29/2012 (ccrouch, loleary, asantos, mfoley, myarborough) moving these to JON 3.1.1 or later

Note You need to log in before you can comment on or make changes to this bug.